Bug 1078965 - [RFE] use an arch-specific tftpboot directory for aarch64, instead of re-using the pxelinux directory
Summary: [RFE] use an arch-specific tftpboot directory for aarch64, instead of re-usin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: 0.16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1084188
TreeView+ depends on / blocked
 
Reported: 2014-03-20 15:51 UTC by Bill Peck
Modified: 2018-02-06 00:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 08:17:39 UTC


Attachments (Terms of Use)

Description Bill Peck 2014-03-20 15:51:39 UTC
Description of problem:
Admins request that aarch64 be used instead of pxelinux dir.

Version-Release number of selected component (if applicable):
0.16.0

Comment 1 Bill Peck 2014-03-20 15:54:56 UTC
patch..

http://gerrit.beaker-project.org/#/c/2942/

Comment 4 Dan Callaghan 2014-03-24 02:19:59 UTC
To be clear, this is an RFE requesting that the tftpboot directory layout used for aarch64 in Beaker 0.16.0 be changed. Instead of re-using "pxelinux" it should use an arch-specific directory.

Because this is a backwards incompatible change I think it needs to go into 0.17 at the earliest.

Comment 5 Dan Callaghan 2014-03-24 02:21:30 UTC
Some other ideas which might help with this problem:

* make the aarch64 path configurable; or
* make all tftpboot paths configurable (this is tricky for some bootloaders which expect hardcoded absolute or relative TFTP paths); and/or
* document the directory layout which Beaker currently expects.

These are all more effort than just renaming the aarch64 directory though.

Comment 6 Nick Coghlan 2014-03-25 03:11:58 UTC
The docs thing could probably be its own RFE...

Comment 7 Dan Callaghan 2014-03-25 04:46:44 UTC
(In reply to Nick Coghlan from comment #6)
> The docs thing could probably be its own RFE...

Indeed: bug 1080285.

Comment 8 Bill Peck 2014-06-17 11:57:33 UTC
Hi Dan,

Just wanted to let you know I can test this change in Huntsville because they are still configured to use the arch specific directory.

So once this makes it into a 0.17.x release I'll update them.

Comment 12 Dan Callaghan 2014-06-23 05:04:52 UTC
On Gerrit: http://gerrit.beaker-project.org/3158

Comment 16 Dan Callaghan 2014-07-18 08:17:39 UTC
Beaker 0.17.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.